import Cookies from 'js-cookie'

const TokenKey = 'Devcould-Console-Token'
const MenuKey = 'Devcould-Console-Menu'
const BtnKey = 'Devcould-Console-MenuBtn'
const NoticeKey = "Devcould-Console-Notice"
const mainMenuKey = 'Devcould-Console-MainMenu'
export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getMenu() {
  const menu = Cookies.get(MenuKey)
  if (menu) {
    return JSON.parse(menu)
  } else {
    return []
  }
}

export function setMenu(menu) {
  return Cookies.set(MenuKey, menu)
}

export function removeMenu() {
  return Cookies.remove(MenuKey)
}

export function getBtn() {
  return Cookies.get(BtnKey)
}

export function setBtn(has) {
  return Cookies.set(BtnKey, has)
}

export function removeBtn() {
  return Cookies.remove(BtnKey)
}

export function getNotice() {
  return Cookies.get(NoticeKey)
}

export function setNotice(has) {
  return Cookies.set(NoticeKey, has)
}

export function removeNotice() {
  return Cookies.remove(NoticeKey)
}

export function getMainList() {
  return Cookies.get(mainMenuKey)
}

export function setMainList(has) {
  return Cookies.set(mainMenuKey, has)
}

export function removeMainList() {
  return Cookies.remove(mainMenuKey)
}
